<html>
<head>
<title>OGRE: Ogre::SceneQuery::WorldFragment Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1SceneQuery.html">SceneQuery</a>::<a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">WorldFragment</a></div>
<h1>Ogre::SceneQuery::WorldFragment Struct Reference</h1><!-- doxytag: class="Ogre::SceneQuery::WorldFragment" -->Represents part of the world geometry that is a result of a <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a>.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1SceneQuery_1_1WorldFragment-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html#57f755adea8044729adff811f61f1a60">fragmentType</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The type of this world fragment.  <a href="#57f755adea8044729adff811f61f1a60"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html#bfe0314db3e89040486ceb1ba36a8682">singleIntersection</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Single intersection point, only applicable for WFT_SINGLE_INTERSECTION.  <a href="#bfe0314db3e89040486ceb1ba36a8682"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">std::list&lt; <a class="el" href="classOgre_1_1Plane.html">Plane</a> &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html#734cdb6c7646747c773f899122e632b7">planes</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Planes bounding a convex region, only applicable for WFT_PLANE_BOUNDED_REGION.  <a href="#734cdb6c7646747c773f899122e632b7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html#f83de2ae922b7f41d25b930705836378">geometry</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Custom geometry block, only applicable for WFT_CUSTOM_GEOMETRY.  <a href="#f83de2ae922b7f41d25b930705836378"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderOperation.html">RenderOperation</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html#54bfeacb15a22824625be72012600416">renderOp</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">General render operation structure, fallback if nothing else is available.  <a href="#54bfeacb15a22824625be72012600416"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Represents part of the world geometry that is a result of a <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a>. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Since world geometry is normally vast and sprawling, we need a way of retrieving parts of it based on a query. That is what this struct is for; note there are potentially as many data structures for world geometry as there are SceneManagers, however this structure includes a few common abstractions as well as a more general format. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>The type of world fragment that is returned from a query depends on the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>, and the option set using <a class="el" href="classOgre_1_1SceneQuery.html#ec3aa0b8b16c41fae990ee78150f8d2a" title="Tells the query what kind of world geometry to return from queries; often the full...">SceneQuery::setWorldFragmentType</a>. You can see what fragment types are supported on the query in question by calling <a class="el" href="classOgre_1_1SceneQuery.html#dda215d4b5d717b6e09def4d02f445e6" title="Returns the types of world fragments this query supports.">SceneQuery::getSupportedWorldFragmentTypes()</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00103">103</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="57f755adea8044729adff811f61f1a60"></a><!-- doxytag: member="Ogre::SceneQuery::WorldFragment::fragmentType" ref="57f755adea8044729adff811f61f1a60" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a> <a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html#57f755adea8044729adff811f61f1a60">Ogre::SceneQuery::WorldFragment::fragmentType</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The type of this world fragment. 
<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00105">105</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="bfe0314db3e89040486ceb1ba36a8682"></a><!-- doxytag: member="Ogre::SceneQuery::WorldFragment::singleIntersection" ref="bfe0314db3e89040486ceb1ba36a8682" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html#bfe0314db3e89040486ceb1ba36a8682">Ogre::SceneQuery::WorldFragment::singleIntersection</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Single intersection point, only applicable for WFT_SINGLE_INTERSECTION. 
<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00107">107</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="734cdb6c7646747c773f899122e632b7"></a><!-- doxytag: member="Ogre::SceneQuery::WorldFragment::planes" ref="734cdb6c7646747c773f899122e632b7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::list&lt;<a class="el" href="classOgre_1_1Plane.html">Plane</a>&gt;* <a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html#734cdb6c7646747c773f899122e632b7">Ogre::SceneQuery::WorldFragment::planes</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Planes bounding a convex region, only applicable for WFT_PLANE_BOUNDED_REGION. 
<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00109">109</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f83de2ae922b7f41d25b930705836378"></a><!-- doxytag: member="Ogre::SceneQuery::WorldFragment::geometry" ref="f83de2ae922b7f41d25b930705836378" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html#f83de2ae922b7f41d25b930705836378">Ogre::SceneQuery::WorldFragment::geometry</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Custom geometry block, only applicable for WFT_CUSTOM_GEOMETRY. 
<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00111">111</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="54bfeacb15a22824625be72012600416"></a><!-- doxytag: member="Ogre::SceneQuery::WorldFragment::renderOp" ref="54bfeacb15a22824625be72012600416" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderOperation.html">RenderOperation</a>* <a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html#54bfeacb15a22824625be72012600416">Ogre::SceneQuery::WorldFragment::renderOp</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
General render operation structure, fallback if nothing else is available. 
<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00113">113</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:25 2008
</p>
</body>
</html>
